

.. _npm_def:

==================================
**npm** definition
==================================

.. contents::
   :depth: 3

English wikipedia definition
==============================


.. seealso::

   - https://fr.wikipedia.org/wiki/Npm

**npm** (short for **Node.js Package manager**) is a package manager for the
JavaScript programming language.

It is the default package manager for the JavaScript runtime environment
Node.js. It consists of a command line client, also called npm, and an
online database of public and paid-for private packages, called the npm
registry.

The registry is accessed via the client, and the available packages can
be browsed and searched via the npm website.
The package manager and the registry are managed by npm, Inc.
